Skip to main content
GET
/
jobs
/
manual
/
{job_id}
JavaScript
import Finch from '@tryfinch/finch-api';

const client = new Finch({
  accessToken: 'My Access Token',
});

const manualAsyncJob = await client.jobs.manual.retrieve('job_id');

console.log(manualAsyncJob.job_id);
from finch import Finch

client = Finch(
access_token="My Access Token",
)
manual_async_job = client.jobs.manual.retrieve(
"job_id",
)
print(manual_async_job.job_id)
package main

import (
"context"
"fmt"

"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)

func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
manualAsyncJob, err := client.Jobs.Manual.Get(context.TODO(), "job_id")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", manualAsyncJob.JobID)
}
package com.tryfinch.api.example;

import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.JobManualRetrieveParams;
import com.tryfinch.api.models.ManualAsyncJob;

public final class Main {
private Main() {}

public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();

ManualAsyncJob manualAsyncJob = client.jobs().manual().retrieve("job_id");
}
}
package com.tryfinch.api.example

import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.JobManualRetrieveParams
import com.tryfinch.api.models.ManualAsyncJob

fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()

val manualAsyncJob: ManualAsyncJob = client.jobs().manual().retrieve("job_id")
}
require "finch_api"

finch = FinchAPI::Client.new(access_token: "My Access Token")

manual_async_job = finch.jobs.manual.retrieve("job_id")

puts(manual_async_job)
curl --request GET \
--url https://api.tryfinch.com/jobs/manual/{job_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'Finch-API-Version: <finch-api-version>'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/jobs/manual/{job_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: <content-type>",
"Finch-API-Version: <finch-api-version>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "job_id": "497d98f3-580a-4ab9-830a-af2346d029b2",
  "status": "complete",
  "body": [
    {
      "individual_id": "430f9d95-1dcf-4b99-b616-45f814416890",
      "code": 201,
      "message": "Successfully enrolled individual in benefit"
    },
    {
      "individual_id": "647975ac-1e0f-4e9c-b705-e3042da48581",
      "code": 200,
      "message": "Successfully updated enrollment for individual"
    },
    {
      "individual_id": "4a0a3b15-d3d6-41c2-a4a4-ca4ed1b68cf8",
      "code": 404,
      "message": "Individual not found"
    }
  ]
}
{
"code": 400,
"name": "invalid_request_error",
"message": "job_id is required"
}
{
"code": 404,
"finch_code": "item_not_found",
"name": "not_found_error",
"message": "could not find job with id '49142223-78e0-4092-80e1-313f510b0977'"
}

Authorizations

Authorization
string
header
required

Please use your Access Token

Headers

Finch-API-Version
string<date>
default:2020-09-17
required

Header used to specify the version for a given API request. Current version is 2020-09-17.

Pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
Content-Type
string
default:application/json
required

Used to indicate the original media type of the resource

Path Parameters

job_id
string
required

Response

OK

job_id
string<uuid>
status
enum<string>
Available options:
pending,
in_progress,
error,
complete
body
null[] | null

Specific information about the job, such as individual statuses for batch jobs.